@echo off
rem *******************************************************************   
rem         Copyright (c) 2010,2011 Cisco Systems, Inc.   
rem          All rights reserved.   
rem *******************************************************************   

setLocal EnableDelayedExpansion

set "CURRENT_DIR=%cd%"

rem Get standard Java environment variables
if exist "%CURRENT_DIR%\config.bat" goto getMigrationEnv
echo Cannot find "%CURRENT_DIR%\config.bat"
echo This file is needed to run this program
:getMigrationEnv
rem set "BASEDIR=%CATALINA_HOME%"
call "%CURRENT_DIR%\config.bat" %1
if errorlevel 1 goto end

set CLASSPATH=
for  %%a in ("%CURRENT_DIR%\lib\*.jar") do (
  set CLASSPATH=!CLASSPATH!;"%%a"
)

set REG_PATH=%REG_PATH%;%SystemRoot%\system32\regsvr32.exe
set PATH=%PATH%;%CURRENT_DIR%\bin;
%REG_PATH% /s "dbodbc9.dll"

set CLASSPATH=%CLASSPATH%;"%CURRENT_DIR%\bin"

rem echo %CLASSPATH%

java -Xms%_Xms% -Xmx%_Xmx% -classpath %CLASSPATH% -Dfile.encoding=UTF8 com.cisco.acs.positron.migration.MigrationApplicationDriver

rem pause